Update Drill Through Report

put

/applications/{applicationName}/databases/{databaseName}/reports/{name}

Updates the drill through report in the specified application and database and returns details of the updated report.

Request

Path Parameters
Back to Top

Response

200 Response

OK

The drill through report was updated successfully.

400 Response

Bad Request

Failed to update the report. The application name, database name, or report name may be incorrect, or the specified report name may not exist.

415 Response

Not Acceptable

The media type isn't supported or wasn't specified.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to update a drill through report definition.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X PUT "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill3" -H Accept:application/json -H Content-Type:application/json --data "@./drill3_update.json" -u %User%:%Password%

Sample JSON Payload

The cURL example above delivers the following JSON payload in drill3_update.json.

{
  "name" : "drill3",
  "columns" : [ "DIMENSION_PRODUCT", "DIMENSION_MARKET", "DIMENSION_YEAR", "DIMENSION_SCENARIO", "SALES", "COGS", "MARKETING", "PAYROLL", "MISC", "INITIAL_INVENTORY", "ADDITIONS" ],
  "dataSourceName" : "phx_DS",
  "drillableRegions" : [ "@DESCENDANTS(\"Margin\")" ],
  "columnMapping" : {
    "DIMENSION_PRODUCT" : {
      "dimension" : "Product",
      "type" : "DIMENSION"
    },
    "DIMENSION_MARKET" : {
      "dimension" : "Market",
      "level" : "Level0",
      "type" : "LEVEL0"
    },
    "DIMENSION_YEAR" : {
      "dimension" : "Year",
      "generation" : "Quarter",
      "type" : "GENERATION",
      "generationNumber" : 2
    },
    "DIMENSION_SCENARIO" : {
      "dimension" : "Scenario",
      "generation" : "Gen1",
      "type" : "GENERATION",
      "generationNumber" : 1
    }
  },
  "parameterMapping" : {
    "Param1" : {
      "dimension" : "Year",
      "level" : "Level0",
      "type" : "LEVEL0"
    }
  },
  "type" : "DATASOURCE",
  "useTempTables" : true
}

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
  "name" : "drill3",
  "columns" : [ "DIMENSION_PRODUCT", "DIMENSION_MARKET", "DIMENSION_YEAR", "DIMENSION_SCENARIO", "SALES", "COGS", "MARKETING", "PAYROLL", "MISC", "INITIAL_INVENTORY", "ADDITIONS" ],
  "dataSourceName" : "phx_DS",
  "drillableRegions" : [ "@DESCENDANTS(\"Margin\")" ],
  "columnMapping" : {
    "DIMENSION_PRODUCT" : {
      "dimension" : "Product",
      "type" : "DIMENSION"
    },
    "DIMENSION_MARKET" : {
      "dimension" : "Market",
      "level" : "Level0",
      "type" : "LEVEL0"
    },
    "DIMENSION_YEAR" : {
      "dimension" : "Year",
      "generation" : "Quarter",
      "type" : "GENERATION",
      "generationNumber" : 2
    },
    "DIMENSION_SCENARIO" : {
      "dimension" : "Scenario",
      "generation" : "Gen1",
      "type" : "GENERATION",
      "generationNumber" : 1
    }
  },
  "parameterMapping" : {
    "Param1" : {
      "dimension" : "Year",
      "level" : "Level0",
      "type" : "LEVEL0"
    }
  },
  "type" : "DATASOURCE",
  "useTempTables" : true,
  "links" : [ {
    "rel" : "get",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill3",
    "method" : "GET"
  }, {
    "rel" : "delete",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill3",
    "method" : "DELETE"
  }, {
    "rel" : "edit",
    "href" : "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/drill3",
    "method" : "PUT"
  } ]
}
Back to Top